summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorJustin Lecher <jlec@gentoo.org>2015-08-24 09:06:06 +0200
committerJustin Lecher <jlec@gentoo.org>2015-08-24 12:12:11 +0200
commit3ac330bc39d63fc6084bc01881452a86015cd7cb (patch)
treecde7210a2f0f9b8ef1b201455ec9af1482599022
parentdev-python/retrying: Version Bump (diff)
downloadgentoo-3ac330bc39d63fc6084bc01881452a86015cd7cb.tar.gz
gentoo-3ac330bc39d63fc6084bc01881452a86015cd7cb.tar.bz2
gentoo-3ac330bc39d63fc6084bc01881452a86015cd7cb.zip
dev-python/progress: New package, ebuild written by me
Package-Manager: portage-2.2.20.1 Signed-off-by: Justin Lecher <jlec@gentoo.org>
-rw-r--r--dev-python/progress/Manifest1
-rw-r--r--dev-python/progress/metadata.xml5
-rw-r--r--dev-python/progress/progress-1.2.ebuild29
3 files changed, 35 insertions, 0 deletions
diff --git a/dev-python/progress/Manifest b/dev-python/progress/Manifest
new file mode 100644
index 00000000000..f9eb1c3fd97
--- /dev/null
+++ b/dev-python/progress/Manifest
@@ -0,0 +1 @@
+DIST progress-1.2.tar.gz 4951 SHA256 5b6a50f9ac76820f619d7789b5354881c8c10060a64047e415868d8f503cc2eb SHA512 bd09e63a1cc1b24260b66e6f963deaeb6da87b08c376a4e2da179badc23eeb3e9ca213872d1da8caa5e2475cc1b7bb2022389bb8d7f1c9e1ca8f755406648116 WHIRLPOOL 1c6294b4a504f57eb94b50a4c1cf3454203df239315b1f5d5ef62c0ab0152c61b66eae7bdca70bd9230c78585a8620c997f4d67e1011cc89390279b7954ae67f
diff --git a/dev-python/progress/metadata.xml b/dev-python/progress/metadata.xml
new file mode 100644
index 00000000000..301d2207cc2
--- /dev/null
+++ b/dev-python/progress/metadata.xml
@@ -0,0 +1,5 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <herd>python</herd>
+</pkgmetadata>
diff --git a/dev-python/progress/progress-1.2.ebuild b/dev-python/progress/progress-1.2.ebuild
new file mode 100644
index 00000000000..534cc2410d1
--- /dev/null
+++ b/dev-python/progress/progress-1.2.ebuild
@@ -0,0 +1,29 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+PYTHON_COMPAT=( python2_7 python3_{3,4} pypy pypy3 )
+
+inherit bash-completion-r1 distutils-r1
+
+DESCRIPTION="Easy to use progress bars"
+HOMEPAGE="https://pypi.python.org/pypi/progress http://github.com/verigak/progress/"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+SLOT="0"
+LICENSE="ISC"
+KEYWORDS="~amd64 ~x86 ~amd64-linux ~x86-linux"
+IUSE=""
+
+RDEPEND=""
+DEPEND="${RDEPEND}
+ dev-python/setuptools[${PYTHON_USEDEP}]"
+
+# Not bundled
+RESTRICT="test"
+
+python_test() {
+ "${PYTHON}" test_progress.py || die
+}